Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Unary_Expr Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Unary_Expr:

[legend]
Collaboration diagram for TAO_PSDL_Unary_Expr:

[legend]
List of all members.

## Public Methods

| TAO_PSDL_Unary_Expr (TAO_PSDL_Node *unary_operator, TAO_PSDL_Node *primary_expr)
| ****************************************************************
| TAO_PSDL_Unary_Expr (TAO_PSDL_Node *primary_expr)
virtual | ~TAO_PSDL_Unary_Expr (void)
TAO_PSDL_Node * | unary_operator (void) const
| Get the value.
TAO_PSDL_Node * | primary_expr (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.

## Private Attributes

TAO_PSDL_Node * | unary_operator_
| The values.
TAO_PSDL_Node * | primary_expr_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Unary_Expr::TAO_PSDL_Unary_Expr | ( | TAO_PSDL_Node * | unary_operator,
|  | TAO_PSDL_Node * | primary_expr
| ) |

| ****************************************************************

TAO_PSDL_Unary_Expr::TAO_PSDL_Unary_Expr | ( | TAO_PSDL_Node * | primary_expr | ) |

TAO_PSDL_Unary_Expr::~TAO_PSDL_Unary_Expr | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Unary_Expr::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Unary_Expr::primary_expr | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Unary_Expr::unary_operator | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Unary_Expr::primary_expr_`[private]`

TAO_PSDL_Node* TAO_PSDL_Unary_Expr::unary_operator_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp